using CANModule.Views;

namespace CANModule
{
    public class CANModule : IModule
    {
        public void OnInitialized(IContainerProvider containerProvider)
        {
        }

        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterDialog<SelectCanMessageView>("SelectCanMessageView");
            containerRegistry.RegisterDialog<CollectCANSignalSettingView>("CollectCANSignalSettingView");
            containerRegistry.RegisterForNavigation<CANView>("CANView");
        }
    }
}
